package com.bria.common.controller.calllog.db.convertors

import android.arch.persistence.room.TypeConverter
import com.bria.common.controller.calllog.db.CallType

class CallTypeConverter {
    @TypeConverter
    fun fromCallType(callType: CallType): String = callType.name

    @TypeConverter
    fun toCallType(name: String): CallType = CallType.valueOf(name)
}
