package com.bria.common.controller.im.refactoring.chatroom

data class ChatRoomStateEvent(val key : String, val state : ChatRoomCacheState) {
    fun isJoined()  =
            state in listOf<ChatRoomCacheState>(ChatRoomCacheState.JOINED_SYNCED, ChatRoomCacheState.JOINED_WAITING_FOR_SYNC, ChatRoomCacheState.JOINED_NOT_SYNCABLE)
}
