package com.bria.common.uiframework.helpers

import io.reactivex.Observable
import io.reactivex.subjects.PublishSubject

object QuickRensponseActive {
    private val mObservable = PublishSubject.create<Any>()

    fun notifyClicked() {
        mObservable.onNext(Any())
    }

    val observable: Observable<Any>
           get() = mObservable
}