package com.bria.common.uireusable.dataprovider

import com.bria.common.controller.Controllers
import com.bria.common.controller.contacts.genband.GenbandFriendDataObject

class FriendPickerChipsProvider() : IChipsViewDataProvider<GenbandFriendDataObject> {
    override fun getItemById(id: String): GenbandFriendDataObject? {
        return Controllers.get().genbandContact
            .friendsList
            .firstOrNull { it.uniqueIdentifier == id }

    }
}
