package com.bria.common.util.kotlin

object ListUtils {

    @JvmStatic
    fun <E> filter(iterable: Iterable<E>, predicate: (item: E) -> Boolean): List<E> {
        return iterable.filter(predicate)
    }

    @JvmStatic
    fun <E> firstOrNull(iterable: Iterable<E>, predicate: (item: E) -> Boolean): E? {
        return iterable.firstOrNull(predicate)
    }

    @JvmStatic
    fun <E> firstOrNull(array: Array<E>, predicate: (item: E) -> Boolean): E? {
        return array.firstOrNull(predicate)
    }

    @JvmStatic
    fun <E, R> map(iterable: Iterable<E>, mapper: (item: E) -> R): List<R> {
        return iterable.map(mapper)
    }

    @JvmStatic
    fun <E> copy(iterable: Iterable<E>) : List<E> {
        return iterable.toList()
    }
}
