package com.bria.common.validation

import kotlin.reflect.KProperty1

data class ValidationFailure<T>(
        val property: KProperty1<T, *>,
        val errorMessage: String) {
    init {
        if (errorMessage.isBlank()) {
            throw IllegalArgumentException("Error message must be supplied.")
        }
    }
}
