package com.bria.voip.ui.main.calllog.refactoring.broadworks

import com.bria.common.uiframework.annotations.Layout
import com.bria.common.uiframework.annotations.Menu
import com.bria.voip.R
import com.bria.voip.ui.main.calllog.refactoring.CallLogListScreen

@Layout(R.layout.calllog_list_screen)
@Menu(R.menu.call_log_list_menu)
class BroadWorksCallLogListScreen: CallLogListScreen<BroadWorksCallLogListPresenter>() {

    override fun getPresenterClass(): Class<out BroadWorksCallLogListPresenter> = BroadWorksCallLogListPresenter::class.java

    override fun onResume() {
        super.onResume()
        presenter.onScreenResumed()
    }
}
