package com.bria.voip.ui.main.contacts

sealed class AddBuddyResult

object AddBuddySuccess : AddBuddyResult()

sealed class AddBuddyFail : AddBuddyResult() {
    object Timeout : AddBuddyFail()
    object UnknownError : AddBuddyFail()
    class Error(val message: String) : AddBuddyFail()
}
