package com.bria.voip.ui.main.im.chatroom.mentions

import android.content.Context
import com.bria.common.controller.im.refactoring.chatroom.WellKnowMention
import com.bria.voip.R

data class ChatRoomMentionAtItem(
        val atText: String,
        val description: String) {

    companion object {
        fun getKnownItems(context: Context) = listOf(
                ChatRoomMentionAtItem(WellKnowMention.Everyone.atText, context.getString(R.string.tChatRoomMentionEveryoneDescription))
        )
    }
}
