package com.bria.common.notification

import com.bria.common.controller.im.refactoring.db.entities.ImStatusData

data class MessageNotificationData(val id: Long, val text: String) {
    var conversationId: Long = -1
    var time: Long = 0
    var remoteAddress: String = ""
    var status: Int = -1

    fun isLocal(): Boolean {
        return status == ImStatusData.LOCAL
    }
}
