package com.bria.common.ui

import com.bria.common.util.AndroidUtils
import com.bria.common.util.CrashInDebug

object CreateDialogThreadCheck {

    private const val TAG = "CreateDialogThreadCheck"

    @JvmStatic
    fun check() {
        val ok = AndroidUtils.isThisMainThread()

        if (!ok) {
            CrashInDebug.with(TAG, "Dialogs must be created on main thread")
        }
    }
}
