package com.bria.common.uiframework.presenters

import com.bria.common.modules.BriaGraph

class AbstractPresenterLazies(private val abstractPresenter: AbstractPresenter) {
    val permissionHelper: AbstractPresenterPermissionHelper by lazy {
        AbstractPresenterPermissionHelper(
                BriaGraph.permissionChecker,
                { neededPermission, requestCode, explanation ->
                    abstractPresenter.requestPermission(neededPermission, requestCode, explanation)
                }
        )
    }
}
