package com.bria.common.uireusable.dataprovider

import com.bria.common.controller.contacts.buddy.Buddy
import com.bria.common.controller.contacts.buddy.IBuddyCtrlEvents

class BuddyPickerChipsProvider(private val buddyController: IBuddyCtrlEvents) : IChipsViewDataProvider<Buddy> {
    override fun getItemById(id: String): Buddy? {
        return buddyController
            .allBuddies
            .firstOrNull { it.uniqueIdentifier == id }
    }
}

