package com.bria.common.uireusable.dataprovider

import com.bria.common.util.t9.ContactDataItem

class ContactDataChipsProvider(private val contactDataProvider: ContactDataProvider) : IChipsViewDataProvider<ContactDataItem> {
    override fun getItemById(id: String): ContactDataItem? {
        val cursor = contactDataProvider.fullResults
        if (cursor.moveToFirst()) {
            do {
                val item = ContactDataProvider.constructDataObject(cursor)

                if (item.id == id) {
                    return item
                }
            } while (cursor.moveToNext())
        }

        return null
    }
}
