package com.bria.common.uireusable.dataprovider

import com.bria.common.util.t9.ContactDataItem

class SmsRecipientChipsProvider(private val smsRecipientsDataProvider: SmsRecipientsDataProvider) : IChipsViewDataProvider<ContactDataItem> {
    override fun getItemById(id: String): ContactDataItem? {

        val cursor = smsRecipientsDataProvider.fullResults
        if (cursor.moveToFirst()) {
            do {
                val item = SmsRecipientsDataProvider.constructDataObject(cursor)

                if (item.id == id) {
                    return item
                }
            } while (cursor.moveToNext())
        }

        return null
    }
}
