package com.bria.voip.ui.shared.pickers

import com.bria.common.controller.contacts.buddy.Buddy
import com.bria.common.controller.contacts.buddy.IBuddyCtrlEvents
import com.bria.common.uireusable.dataprovider.IChipsViewDataProvider

class ChatRoomMembersPickerChipsProvider(private val buddyController: IBuddyCtrlEvents) : IChipsViewDataProvider<Buddy> {
    override fun getItemById(id: String): Buddy? {
        return buddyController
            .allBuddies
            .filter { it.buddyType == Buddy.EBuddyType.XMPP }
            .firstOrNull { it.uniqueIdentifier == id }
    }
}
